io.vertx.mysqlclient

## Interface MySQLPool

- All Superinterfaces:
    Pool, SqlClient

      public interface MySQLPool
      extends Pool

  A `pool` of `MySQL Connections`.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MySQLPool` | `pool(MySQLConnectOptions connectOptions, PoolOptions poolOptions)` Create a connection pool to the MySQL server configured with the given `connectOptions` and `poolOptions`.
    `static MySQLPool` | `pool(String connectionUri)` Like `pool(String, PoolOptions)` with a default `poolOptions`.
    `static MySQLPool` | `pool(String connectionUri, PoolOptions poolOptions)` Like `pool(MySQLConnectOptions, PoolOptions)` with `connectOptions` built from `connectionUri`.
    `static MySQLPool` | `pool(Vertx vertx, MySQLConnectOptions connectOptions, PoolOptions poolOptions)` Like `pool(MySQLConnectOptions, PoolOptions)` with a specific `Vertx` instance.
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri)` Like `pool(Vertx, String, PoolOptions)` with a default `poolOptions`..
    `static MySQLPool` | `pool(Vertx vertx, String connectionUri, PoolOptions poolOptions)` Like `pool(Vertx, MySQLConnectOptions, PoolOptions)` with `connectOptions` built from `connectionUri`.

    - ### Methods inherited from interface io.vertx.sqlclient.Pool

      `close, getConnection, getConnection, pool, pool, pool, preparedQuery, query, withConnection, withConnection, withTransaction, withTransaction`

    - ### Methods inherited from interface io.vertx.sqlclient.SqlClient

      `close`

- - ### Method Detail

    - #### pool

          static MySQLPool pool(String connectionUri)

      Like `pool(String, PoolOptions)` with a default `poolOptions`.

    - #### pool

          static MySQLPool pool(String connectionUri,
                                PoolOptions poolOptions)

      Like `pool(MySQLConnectOptions, PoolOptions)` with `connectOptions` built from `connectionUri`.

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                String connectionUri)

      Like `pool(Vertx, String, PoolOptions)` with a default `poolOptions`..

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                String connectionUri,
                                PoolOptions poolOptions)

      Like `pool(Vertx, MySQLConnectOptions, PoolOptions)` with `connectOptions` built from `connectionUri`.

    - #### pool

          static MySQLPool pool(MySQLConnectOptions connectOptions,
                                PoolOptions poolOptions)

      Create a connection pool to the MySQL server configured with the given `connectOptions` and `poolOptions`.
      Parameters:
        `connectOptions` - the options for the connection
        `poolOptions` - the options for creating the pool
      Returns:
        the connection pool

    - #### pool

          static MySQLPool pool(Vertx vertx,
                                MySQLConnectOptions connectOptions,
                                PoolOptions poolOptions)

      Like `pool(MySQLConnectOptions, PoolOptions)` with a specific `Vertx` instance.

Copyright © 2021 Eclipse. All rights reserved.